# lengths measurement of cup and containers using ruler
# and material density
# 1/8/2017


# cup diamater and height, d: diameter, h:height
# unit: millimeter
cups = {}
cups['1'] = {'d': 54, 'h': 28}
cups['2'] = {'d': 63, 'h': 28}
cups['3'] = {'d': 69, 'h': 34}
cups['4'] = {'d': 84, 'h': 44}
cups['5'] = {'d': 79, 'h': 99}
cups['6'] = {'d': 81, 'h': 93}

# container diameter and height, d: diameter, h:height
# unit: millimeter
containers = {}
containers['1'] = {'d': 163, 'h': 52}
containers['2'] = {'d': 80, 'h': 94}
containers['3'] = {'d': 95, 'h': 120}
containers['4'] = {'d': cups['6']['d'], 'h': cups['6']['h']}
containers['5'] = {'d': cups['5']['d'], 'h': cups['5']['h']}
containers['6'] = {'d': 92, 'h': 108}
containers['7'] = {'d': 133, 'h': 235}
containers['8'] = {'d': 266, 'h': 67}
containers['9'] = {'d': 78, 'h': 136}
containers['10'] = {'d': 91, 'h': 123}

# material density, use water as reference
# find index in extract_data_jason.py
# uses cup 6
# unit: g 
# 1: beans, 2: water, 3: ice
weight_empty = 122.0
reference = '2' # water
weights = {}
weights['1'] = 396.0 # from one measurement
weights[reference] = 490.0 # from one measurement
weights['3'] = 246.0 # from 11 measurements

# measurement of ice:
# 244, 244, 252, 244, 243, 250, 242, 238, 249, 250, 252

densities = {}
for key in weights:
    densities[key] = (weights[key] - weight_empty) / (weights[reference] - weight_empty)

